<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.victoriatourist.mapper.jd.JdSalesReturnsDetailMapper">
    <select id="getList" resultType="com.fjhx.victoriatourist.entity.jd.vo.JdSalesReturnsDetailVo">
        select
            jsrd.id,
            jsrd.returns_id,
            jsrd.create_user,
            jsrd.create_time,
            jsrd.update_user,
            jsrd.update_time,
            jsrd.ware_id,
            jsrd.sign_time,
            jsrd.remark,
            jsrd.part_code,
            jsrd.ware_name,
            jsrd.sale_ord_id,
            jsrd.ship_code,
            jsrd.confirm_receipt_people,
            jsrd.price,
            jsrd.channel_name,
            jsrd.sale_mode_cd,
            jsrd.channel_id,
            jsrd.third_biz
        from jd_sales_returns_detail jsrd
            ${ew.customSqlSegment}
    </select>

    <select id="getPage" resultType="com.fjhx.victoriatourist.entity.jd.vo.JdSalesReturnsDetailVo">
        select
            jsrd.id,
            jsrd.returns_id,
            jsrd.create_user,
            jsrd.create_time,
            jsrd.update_user,
            jsrd.update_time,
            jsrd.ware_id,
            jsrd.sign_time,
            jsrd.remark,
            jsrd.part_code,
            jsrd.ware_name,
            jsrd.sale_ord_id,
            jsrd.ship_code,
            jsrd.confirm_receipt_people,
            jsrd.price,
            jsrd.channel_name,
            jsrd.sale_mode_cd,
            jsrd.channel_id,
            jsrd.third_biz
        from jd_sales_returns_detail jsrd
            ${ew.customSqlSegment}
    </select>

</mapper>
